import 'package:gaza_machine/gaza_machine.dart';
import 'package:gaza_machine/src/generated/grpc/machine.pbgrpc.dart';
import 'package:test/test.dart';

void main() {
  test('get current os', () async {
    final localMachine = GazaMachine.localMachine();
    final machineServer = await GazaMachine.create(8000);
    final machineClient = machineServer.client;

    final localOS = await localMachine.system.getOS(Empty());
    final serverOS = await machineClient.system.getOS(Empty());

    expect(localOS, serverOS);
  });
}
